MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023335Community[OCCT] OCCT:Data Exchangepublic2012-07-20 16:142012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023335: Array overrun is possible. The value of 'i' index could reach 200 in Interface_MSG.cxx
DescriptionIn the method Interface_MSG::Read (Standard_IStream& S) there is a buffer of size '200'. The 'for-loop' in line 145 iterates over the buffer from 1 to 200 (inclusive) - this would be the 201st element of the buffer.

I suggest to iterate from 1 to 199.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021089)
Pawel (developer)
2012-07-20 16:18

Corresponding git branch pushed. Please review.
(0021109)
abv (manager)
2012-07-23 13:54

No remarks, please test
(0021139)
apn (administrator)
2012-07-24 16:20

Dear BugMaster,
The workbenches
KAS:dev:apn-23335-occt (GIT branch CR23335)
KAS:dev:apn-23335-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-23335-products_24072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master db3d2a99
Timestamp: 2012-07-20 12:16:50
Author: Pawel
Details ] Diff ]
0023335: Array overrun is possible. The value of 'i' index could reach 200 in Interface_MSG.cxx

Iterating from 1 to 199 over the 'buf' in order to avoid an overrun.
mod - src/Interface/Interface_MSG.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-20 16:14 Pawel New Issue
2012-07-20 16:14 Pawel Assigned To => Pawel
2012-07-20 16:18 Pawel Note Added: 0021089
2012-07-20 16:18 Pawel Assigned To Pawel => bugmaster
2012-07-20 16:18 Pawel Status new => resolved
2012-07-23 13:54 abv Note Added: 0021109
2012-07-23 13:54 abv Status resolved => reviewed
2012-07-24 16:20 apn Note Added: 0021139
2012-07-24 16:21 apn Test case number => Not needed
2012-07-24 16:21 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master db3d2a99
2012-07-30 16:32 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:32 Pawel Status tested => verified
2012-07-30 16:32 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker